Package: grails.rest.render.hal

## [Groovy] Class HalJsonCollectionRenderer

- grails.rest.render.hal.HalJsonCollectionRenderer

- All Implemented Interfaces and Traits:
    ContainerRenderer

      class HalJsonCollectionRenderer
      extends HalJsonRenderer
      implements ContainerRenderer

  A HAL JSON renderer for a collection of objects

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private java.lang.Class` | `componentType` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class HalJsonRenderer` | `DEFAULT_MIME_TYPES, EMBEDDED_ATTRIBUTE, LINKS_ATTRIBUTE, MIME_TYPE, collectionName, dataBindingSourceRegistry, dateToStringConverter`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Class` | `componentType`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `HalJsonCollectionRenderer (java.lang.Class componentType)`
    `HalJsonCollectionRenderer (java.lang.Class componentType, MimeType[] mimeTypes)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class HalJsonRenderer` | `initialize, renderEmbeddedAttributes, renderInternal, setDateToStringConverter, writeDomainProperty, writeDomainWithEmbeddedAndLinks, writeLink, writeLinkForCurrentPath, writeLinks, writeSimpleObject, writeSimpleObjectAndLink`

- - ### Field Detail

    - #### private final java.lang.Class componentType

  - ### Property Detail

    - #### final java.lang.Class componentType

  - ### Constructor Detail

    - #### HalJsonCollectionRenderer(java.lang.Class componentType)

    - #### HalJsonCollectionRenderer(java.lang.Class componentType, MimeType[] mimeTypes)